Bug 991735 - Changing gedit font size affects line numbering size, but not width, cuts off numbers
Changing gedit font size affects line numbering size, but not width, cuts off...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-04 04:05 EDT by "FeRD" (Frank Dana)
Modified: 2015-02-17 11:33 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:33:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 687415 None None None Never

  None (edit)
Description "FeRD" (Frank Dana) 2013-08-04 04:05:03 EDT
Description of problem:
When the font size is increased in gedit (either interactively or in the preferences), the line numbering size is increased to match. However, the line-number strip width remains constant, so at larger font sizes the line numbering becomes cut off.

Version-Release number of selected component (if applicable):
gedit-3.8.3-1.fc19

How reproducible:
Always

Steps to Reproduce:
1. Open a file in gedit
2. Enable "Display line numbers" in Preferences > View, if necessary
3. Increase font size significantly, either in Preferences or (if "Text Size" plugin is enabled) by repeatedly pressing Ctrl and +

Actual results:
Line numbers grow larger, and are increasingly cut off by the window border.

Expected results:
Line number strip dynamically resizes to fit width of its contents.

Additional info:
The wrong-size line numbering strip (which happens in both directions; if the font is decreased it remains far too wide) occurs on a per-tab basis when multiple files are open, and persists in each tab until a resize of the strip occurs. Such a resize can be triggered (for the current tab only) by increasing or decreasing the line count in the open file by an order of magnitude (e.g. from 995 to 1001 lines). Note that the nominal width of the strip is 2 digits, so the shortest length transition that will cause a resize is from 99 to 100 lines, or vice versa.
Comment 1 "FeRD" (Frank Dana) 2013-08-04 04:09:18 EDT
Added my report to existing upstream GNOME bug #687517
Comment 2 "FeRD" (Frank Dana) 2013-08-04 08:40:49 EDT
Updating GNOME bug ID, initial was closed as duplicate of this replacement.
Comment 3 Fedora End Of Life 2015-01-09 14:16:12 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 11:33:33 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.